Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlConstants

    java.lang.Object
      biouml.plugins.sbml.SbmlConstants

Direct Known Subclasses:
  SbmlSupport

public class SbmlConstants
extends java.lang.Object

Field Summary
`static java.lang.String` | `ANNOTATION_ELEMENT`
`static java.lang.String` | `ASSIGNEMENT_ELEMENT`
`static java.lang.String` | `ASSIGNEMENT_LIST_ELEMENT`
`static java.lang.String` | `ASSIGNEMENT_VARIABLE_ATTR`
`static java.lang.String` | `BIOUML_COMPARTMENT_INFO_ELEMENT`
`static java.lang.String` | `BIOUML_EDGE_INFO_ELEMENT`
`static java.lang.String` | `BIOUML_NODE_INFO_ELEMENT`
`static java.lang.String` | `BIOUML_SPECIE_INFO_ELEMENT`
`static java.lang.String` | `BIOUML_SPECIE_TYPE_ATTR`
`static java.lang.String` | `BIOUML_XMLNS_ATTR`
`static java.lang.String` | `BIOUML_XMLNS_VALUE`
`static java.lang.String` | `COMPARTMENT_ATTR`
`static java.lang.String` | `COMPARTMENT_DIMENTION_ATTR`
`static java.lang.String` | `COMPARTMENT_ELEMENT`
`static java.lang.String` | `COMPARTMENT_LIST_ELEMENT`
`static java.lang.String` | `COMPARTMENT_OUTSIDE_ATTR`
`static java.lang.String` | `COMPARTMENT_VOLUME_ATTR`
`static java.lang.String` | `CONSTANT_ATTR`
`static java.lang.String` | `DELAY_ELEMENT`
`static java.lang.String` | `DENOMINATOR_ATTR`
`static java.lang.String` | `EVENT_ELEMENT`
`static java.lang.String` | `EVENT_LIST_ELEMENT`
`static java.lang.String` | `FORMULA_ATTR`
`static java.lang.String` | `FUNCTION_DEFINITION_ELEMENT`
`static java.lang.String` | `FUNCTION_LIST_ELEMENT`
`static java.lang.String` | `ID_ATTR`
`static java.lang.String` | `KINETIC_LAW_ELEMENT`
`static java.lang.String` | `MATH_ATTR`
`static java.lang.String` | `MATH_ELEMENT`
`static java.lang.String` | `MODEL_ELEMENT`
`static java.lang.String` | `MODIFIER_LIST_ELEMENT`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `NOTES_ELEMENT`
`static java.lang.String` | `PARAMETER_ELEMENT`
`static java.lang.String` | `PARAMETER_LIST_ELEMENT`
`static java.lang.String` | `PARAMETER_VALUE_ATTR`
`static java.lang.String` | `PRODUCT_LIST_ELEMENT`
`static java.lang.String` | `PRODUCT_STUB`
`static java.lang.String` | `REACTANT_LIST_ELEMENT`
`static java.lang.String` | `REACTANT_STUB`
`static java.lang.String` | `REACTION_ELEMENT`
`static java.lang.String` | `REACTION_FAST_ATTR`
`static java.lang.String` | `REACTION_LIST_ELEMENT`
`static java.lang.String` | `REACTION_REVERSIBLE_ATTR`
`static java.lang.String` | `RULE_ALGEBRAIC_ELEMENT`
`static java.lang.String` | `RULE_ASSIGNEMENT_ELEMENT`
`static java.lang.String` | `RULE_COMMENT_ATTR`
`static java.lang.String` | `RULE_COMPARTMENT_VOLUME_ELEMENT`
`static java.lang.String` | `RULE_FORMULA_ATTR`
`static java.lang.String` | `RULE_LIST_ELEMENT`
`static java.lang.String` | `RULE_PARAMETER_ELEMENT`
`static java.lang.String` | `RULE_RATE_ELEMENT`
`static java.lang.String` | `RULE_SPECIE_CONCENTRATION_ELEMENT`
`static java.lang.String` | `RULE_VARIABLE_ATTR`
`static java.lang.String` | `SBML_ELEMENT`
`static java.lang.String` | `SBML_LEVEL_ATTR`
`static java.lang.String` | `SBML_LEVEL_VALUE_1`
`static java.lang.String` | `SBML_LEVEL_VALUE_2`
`static java.lang.String` | `SBML_VERSION_ATTR`
`static java.lang.String` | `SBML_VERSION_VALUE_1`
`static java.lang.String` | `SBML_VERSION_VALUE_2`
`static java.lang.String` | `SBML_XMLNS_VALUE`
`static java.lang.String` | `SPECIE_ATTR`
`static java.lang.String` | `SPECIE_ATTR_11`
`static java.lang.String` | `SPECIE_BOUNDARY_CONDITION_ATTR`
`static java.lang.String` | `SPECIE_CHARGE_ATTR`
`static java.lang.String` | `SPECIE_DEFAULT_SUBSTANCE_UNITS`
`static java.lang.String` | `SPECIE_ELEMENT`
`static java.lang.String` | `SPECIE_ELEMENT_11`
`static java.lang.String` | `SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR`
`static java.lang.String` | `SPECIE_INITIAL_AMOUNT_ATTR`
`static java.lang.String` | `SPECIE_INITIAL_CONCENTRATION_ATTR`
`static java.lang.String` | `SPECIE_LIST_ELEMENT`
`static java.lang.String` | `SPECIE_REFERENCE_ELEMENT`
`static java.lang.String` | `SPECIE_REFERENCE_ELEMENT_11`
`static java.lang.String` | `SPECIE_SPATIAL_SIZE_UNITS_ATTR`
`static java.lang.String` | `SPECIE_SUBSTANCE_UNITS_ATTR`
`static java.lang.String` | `STOICHIOMETRY_ATTR`
`static java.lang.String` | `STOICHIOMETRY_MATH_ELEMENT`
`static java.lang.String` | `SUBSTANCE_UNITS_ATTR`
`static java.lang.String` | `TIME_UNITS_ATTR`
`static java.lang.String` | `TRIGGER_ELEMENT`
`static java.lang.String` | `TYPE_ATTR`
`static java.lang.String` | `UNIT_LIST_ELEMENT`
`static java.lang.String` | `UNIT_SUBSTANCE`
`static java.lang.String` | `UNIT_TIME`
`static java.lang.String` | `UNIT_VOLUME`
`static java.lang.String` | `UNITS_ATTR`
`static java.lang.String` | `XMLNS_ATTR`

Constructor Summary
`SbmlConstants()`

Method Summary
`static java.lang.String` | `DEFAULT_SPATIAL_SIZE_UNITS(int dimention)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SBML_ELEMENT

    public static final java.lang.String SBML_ELEMENT

See Also:
  Constant Field Values

### SBML_LEVEL_ATTR

    public static final java.lang.String SBML_LEVEL_ATTR

See Also:
  Constant Field Values

### SBML_LEVEL_VALUE_1

    public static final java.lang.String SBML_LEVEL_VALUE_1

See Also:
  Constant Field Values

### SBML_LEVEL_VALUE_2

    public static final java.lang.String SBML_LEVEL_VALUE_2

See Also:
  Constant Field Values

### SBML_VERSION_ATTR

    public static final java.lang.String SBML_VERSION_ATTR

See Also:
  Constant Field Values

### SBML_VERSION_VALUE_1

    public static final java.lang.String SBML_VERSION_VALUE_1

See Also:
  Constant Field Values

### SBML_VERSION_VALUE_2

    public static final java.lang.String SBML_VERSION_VALUE_2

See Also:
  Constant Field Values

### XMLNS_ATTR

    public static final java.lang.String XMLNS_ATTR

See Also:
  Constant Field Values

### SBML_XMLNS_VALUE

    public static final java.lang.String SBML_XMLNS_VALUE

See Also:
  Constant Field Values

### ID_ATTR

    public static final java.lang.String ID_ATTR

See Also:
  Constant Field Values

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### UNITS_ATTR

    public static final java.lang.String UNITS_ATTR

See Also:
  Constant Field Values

### NOTES_ELEMENT

    public static final java.lang.String NOTES_ELEMENT

See Also:
  Constant Field Values

### ANNOTATION_ELEMENT

    public static final java.lang.String ANNOTATION_ELEMENT

See Also:
  Constant Field Values

### TYPE_ATTR

    public static final java.lang.String TYPE_ATTR

See Also:
  Constant Field Values

### CONSTANT_ATTR

    public static final java.lang.String CONSTANT_ATTR

See Also:
  Constant Field Values

### MODEL_ELEMENT

    public static final java.lang.String MODEL_ELEMENT

See Also:
  Constant Field Values

### FUNCTION_LIST_ELEMENT

    public static final java.lang.String FUNCTION_LIST_ELEMENT

See Also:
  Constant Field Values

### FUNCTION_DEFINITION_ELEMENT

    public static final java.lang.String FUNCTION_DEFINITION_ELEMENT

See Also:
  Constant Field Values

### UNIT_LIST_ELEMENT

    public static final java.lang.String UNIT_LIST_ELEMENT

See Also:
  Constant Field Values

### UNIT_SUBSTANCE

    public static final java.lang.String UNIT_SUBSTANCE

See Also:
  Constant Field Values

### UNIT_TIME

    public static final java.lang.String UNIT_TIME

See Also:
  Constant Field Values

### UNIT_VOLUME

    public static final java.lang.String UNIT_VOLUME

See Also:
  Constant Field Values

### COMPARTMENT_LIST_ELEMENT

    public static final java.lang.String COMPARTMENT_LIST_ELEMENT

See Also:
  Constant Field Values

### COMPARTMENT_ELEMENT

    public static final java.lang.String COMPARTMENT_ELEMENT

See Also:
  Constant Field Values

### COMPARTMENT_VOLUME_ATTR

    public static final java.lang.String COMPARTMENT_VOLUME_ATTR

See Also:
  Constant Field Values

### COMPARTMENT_OUTSIDE_ATTR

    public static final java.lang.String COMPARTMENT_OUTSIDE_ATTR

See Also:
  Constant Field Values

### COMPARTMENT_DIMENTION_ATTR

    public static final java.lang.String COMPARTMENT_DIMENTION_ATTR

See Also:
  Constant Field Values

### SPECIE_LIST_ELEMENT

    public static final java.lang.String SPECIE_LIST_ELEMENT

See Also:
  Constant Field Values

### SPECIE_ELEMENT_11

    public static final java.lang.String SPECIE_ELEMENT_11

See Also:
  Constant Field Values

### SPECIE_ELEMENT

    public static final java.lang.String SPECIE_ELEMENT

See Also:
  Constant Field Values

### COMPARTMENT_ATTR

    public static final java.lang.String COMPARTMENT_ATTR

See Also:
  Constant Field Values

### SPECIE_INITIAL_AMOUNT_ATTR

    public static final java.lang.String SPECIE_INITIAL_AMOUNT_ATTR

See Also:
  Constant Field Values

### SPECIE_SUBSTANCE_UNITS_ATTR

    public static final java.lang.String SPECIE_SUBSTANCE_UNITS_ATTR

See Also:
  Constant Field Values

### SPECIE_CHARGE_ATTR

    public static final java.lang.String SPECIE_CHARGE_ATTR

See Also:
  Constant Field Values

### SPECIE_DEFAULT_SUBSTANCE_UNITS

    public static final java.lang.String SPECIE_DEFAULT_SUBSTANCE_UNITS

See Also:
  Constant Field Values

### SPECIE_BOUNDARY_CONDITION_ATTR

    public static final java.lang.String SPECIE_BOUNDARY_CONDITION_ATTR

See Also:
  Constant Field Values

### SPECIE_INITIAL_CONCENTRATION_ATTR

    public static final java.lang.String SPECIE_INITIAL_CONCENTRATION_ATTR

See Also:
  Constant Field Values

### SPECIE_SPATIAL_SIZE_UNITS_ATTR

    public static final java.lang.String SPECIE_SPATIAL_SIZE_UNITS_ATTR

See Also:
  Constant Field Values

### SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR

    public static final java.lang.String SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR

See Also:
  Constant Field Values

### PARAMETER_LIST_ELEMENT

    public static final java.lang.String PARAMETER_LIST_ELEMENT

See Also:
  Constant Field Values

### PARAMETER_ELEMENT

    public static final java.lang.String PARAMETER_ELEMENT

See Also:
  Constant Field Values

### PARAMETER_VALUE_ATTR

    public static final java.lang.String PARAMETER_VALUE_ATTR

See Also:
  Constant Field Values

### RULE_LIST_ELEMENT

    public static final java.lang.String RULE_LIST_ELEMENT

See Also:
  Constant Field Values

### RULE_RATE_ELEMENT

    public static final java.lang.String RULE_RATE_ELEMENT

See Also:
  Constant Field Values

### RULE_ALGEBRAIC_ELEMENT

    public static final java.lang.String RULE_ALGEBRAIC_ELEMENT

See Also:
  Constant Field Values

### RULE_ASSIGNEMENT_ELEMENT

    public static final java.lang.String RULE_ASSIGNEMENT_ELEMENT

See Also:
  Constant Field Values

### RULE_VARIABLE_ATTR

    public static final java.lang.String RULE_VARIABLE_ATTR

See Also:
  Constant Field Values

### RULE_FORMULA_ATTR

    public static final java.lang.String RULE_FORMULA_ATTR

See Also:
  Constant Field Values

### RULE_COMMENT_ATTR

    public static final java.lang.String RULE_COMMENT_ATTR

See Also:
  Constant Field Values

### RULE_PARAMETER_ELEMENT

    public static final java.lang.String RULE_PARAMETER_ELEMENT

See Also:
  Constant Field Values

### RULE_SPECIE_CONCENTRATION_ELEMENT

    public static final java.lang.String RULE_SPECIE_CONCENTRATION_ELEMENT

See Also:
  Constant Field Values

### RULE_COMPARTMENT_VOLUME_ELEMENT

    public static final java.lang.String RULE_COMPARTMENT_VOLUME_ELEMENT

See Also:
  Constant Field Values

### REACTION_LIST_ELEMENT

    public static final java.lang.String REACTION_LIST_ELEMENT

See Also:
  Constant Field Values

### REACTION_ELEMENT

    public static final java.lang.String REACTION_ELEMENT

See Also:
  Constant Field Values

### REACTION_REVERSIBLE_ATTR

    public static final java.lang.String REACTION_REVERSIBLE_ATTR

See Also:
  Constant Field Values

### REACTION_FAST_ATTR

    public static final java.lang.String REACTION_FAST_ATTR

See Also:
  Constant Field Values

### REACTANT_LIST_ELEMENT

    public static final java.lang.String REACTANT_LIST_ELEMENT

See Also:
  Constant Field Values

### PRODUCT_LIST_ELEMENT

    public static final java.lang.String PRODUCT_LIST_ELEMENT

See Also:
  Constant Field Values

### MODIFIER_LIST_ELEMENT

    public static final java.lang.String MODIFIER_LIST_ELEMENT

See Also:
  Constant Field Values

### REACTANT_STUB

    public static final java.lang.String REACTANT_STUB

See Also:
  Constant Field Values

### PRODUCT_STUB

    public static final java.lang.String PRODUCT_STUB

See Also:
  Constant Field Values

### SPECIE_REFERENCE_ELEMENT_11

    public static final java.lang.String SPECIE_REFERENCE_ELEMENT_11

See Also:
  Constant Field Values

### SPECIE_REFERENCE_ELEMENT

    public static final java.lang.String SPECIE_REFERENCE_ELEMENT

See Also:
  Constant Field Values

### SPECIE_ATTR_11

    public static final java.lang.String SPECIE_ATTR_11

See Also:
  Constant Field Values

### SPECIE_ATTR

    public static final java.lang.String SPECIE_ATTR

See Also:
  Constant Field Values

### STOICHIOMETRY_ATTR

    public static final java.lang.String STOICHIOMETRY_ATTR

See Also:
  Constant Field Values

### DENOMINATOR_ATTR

    public static final java.lang.String DENOMINATOR_ATTR

See Also:
  Constant Field Values

### KINETIC_LAW_ELEMENT

    public static final java.lang.String KINETIC_LAW_ELEMENT

See Also:
  Constant Field Values

### STOICHIOMETRY_MATH_ELEMENT

    public static final java.lang.String STOICHIOMETRY_MATH_ELEMENT

See Also:
  Constant Field Values

### MATH_ELEMENT

    public static final java.lang.String MATH_ELEMENT

See Also:
  Constant Field Values

### FORMULA_ATTR

    public static final java.lang.String FORMULA_ATTR

See Also:
  Constant Field Values

### MATH_ATTR

    public static final java.lang.String MATH_ATTR

See Also:
  Constant Field Values

### TIME_UNITS_ATTR

    public static final java.lang.String TIME_UNITS_ATTR

See Also:
  Constant Field Values

### SUBSTANCE_UNITS_ATTR

    public static final java.lang.String SUBSTANCE_UNITS_ATTR

See Also:
  Constant Field Values

### EVENT_LIST_ELEMENT

    public static final java.lang.String EVENT_LIST_ELEMENT

See Also:
  Constant Field Values

### EVENT_ELEMENT

    public static final java.lang.String EVENT_ELEMENT

See Also:
  Constant Field Values

### TRIGGER_ELEMENT

    public static final java.lang.String TRIGGER_ELEMENT

See Also:
  Constant Field Values

### DELAY_ELEMENT

    public static final java.lang.String DELAY_ELEMENT

See Also:
  Constant Field Values

### ASSIGNEMENT_LIST_ELEMENT

    public static final java.lang.String ASSIGNEMENT_LIST_ELEMENT

See Also:
  Constant Field Values

### ASSIGNEMENT_ELEMENT

    public static final java.lang.String ASSIGNEMENT_ELEMENT

See Also:
  Constant Field Values

### ASSIGNEMENT_VARIABLE_ATTR

    public static final java.lang.String ASSIGNEMENT_VARIABLE_ATTR

See Also:
  Constant Field Values

### BIOUML_XMLNS_ATTR

    public static final java.lang.String BIOUML_XMLNS_ATTR

See Also:
  Constant Field Values

### BIOUML_XMLNS_VALUE

    public static final java.lang.String BIOUML_XMLNS_VALUE

See Also:
  Constant Field Values

### BIOUML_COMPARTMENT_INFO_ELEMENT

    public static final java.lang.String BIOUML_COMPARTMENT_INFO_ELEMENT

See Also:
  Constant Field Values

### BIOUML_NODE_INFO_ELEMENT

    public static final java.lang.String BIOUML_NODE_INFO_ELEMENT

See Also:
  Constant Field Values

### BIOUML_EDGE_INFO_ELEMENT

    public static final java.lang.String BIOUML_EDGE_INFO_ELEMENT

See Also:
  Constant Field Values

### BIOUML_SPECIE_INFO_ELEMENT

    public static final java.lang.String BIOUML_SPECIE_INFO_ELEMENT

See Also:
  Constant Field Values

### BIOUML_SPECIE_TYPE_ATTR

    public static final java.lang.String BIOUML_SPECIE_TYPE_ATTR

See Also:
  Constant Field Values

Constructor Detail

### SbmlConstants

    public SbmlConstants()

Method Detail

### DEFAULT_SPATIAL_SIZE_UNITS

    public static final java.lang.String DEFAULT_SPATIAL_SIZE_UNITS(int dimention)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.